package com.jeeplus.modules.workreceiptsregister.entity;

import com.jeeplus.common.persistence.BaseEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.entity.Office;
import com.jeeplus.modules.sys.utils.UserUtils;

import java.math.BigDecimal;

public class WorkReceiptsRegisterMonth extends WorkReceiptsRegisterBase {
    private String datestr;

    @ExcelField(title="月度", align=2, sort=1)
    public String getDatestr() {
        return datestr;
    }

    public void setDatestr(String datestr) {
        this.datestr = datestr;
    }

    public Double getReceiptAmt() {
        return receiptAmt;
    }
    @ExcelField(title="收款金额", align=2, sort=2)
    public String getReceiptAmtStr() {
        return UserUtils.getDecimalFormat(new BigDecimal(this.receiptAmt));
    }
}
